import { OnInit, EventEmitter } from '@angular/core';
import { IObservation, IPatient } from '@ahryman40k/ts-fhir-types/lib/R4';
import { AlertService } from '../../../../widgets/entry-components/alert/services/alert.service';
export declare const BLOODTYPES: string[];
export declare class BloodtypeAddComponent implements OnInit {
    private alertService;
    bloodTypes: string[];
    selected: number;
    obs: IObservation;
    user: any;
    patient: IPatient;
    callSave: EventEmitter<IObservation>;
    callUpdate: EventEmitter<IObservation>;
    callDelete: EventEmitter<string>;
    constructor(alertService: AlertService);
    ngOnInit(): void;
    select(i: number): void;
    createObs(): IObservation;
    patchObs(obs: IObservation): IObservation;
}
